<!--
  ~ EVS Client is part of the Gazelle Test Bed
  ~ Copyright (C) 2006-2016 IHE
  ~ mailto :eric DOT poiseau AT inria DOT fr
  ~
  ~ See the NOTICE file distributed with this work for additional information
  ~ regarding copyright ownership.  This code is licensed
  ~ to you under the Apache License, Version 2.0 (the
  ~ "License"); you may not use this file except in compliance
  ~ with the License.  You may obtain a copy of the License at
  ~
  ~   http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~ Unless required by applicable law or agreed to in writing,
  ~ software distributed under the License is distributed on an
  ~ "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
  ~ KIND, either express or implied.  See the License for the
  ~ specific language governing permissions and limitations
  ~ under the License.
  -->

<ui:composition xmlns:h="http://java.sun.com/jsf/html" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:g="http://www.ihe.net/gazelle" xmlns:f="http://java.sun.com/jsf/core"
                xmlns:rich="http://richfaces.org/rich" xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns:a4j="http://richfaces.org/a4j" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns="http://www.w3.org/1999/xhtml" xmlns:c="http://java.sun.com/jstl/core"
                xmlns:gri="http://java.sun.com/jsf/composite/gri">

        <s:decorate template="/xval/reportTemplate.xhtml">
            <ui:define name="validatedFiles">
                <ui:decorate template="/layout/panels/_panel_title.xhtml">
                    <ui:define name="panel_title"><h:outputText value="#{messages['net.ihe.gazelle.xval.ValidatedFiles']}"/></ui:define>
                    <h:form id="validatedFilesForm">
                        <rich:dataTable value="#{xvalResultGui.validatedFiles}" var="file"
                                        id="validatedFilesTable">
                            <ui:include src="/xval/uploadFileColumns.xhtml">
                                <ui:param name="allowDelete" value="false"/>
                            </ui:include>
                            <g:column>
                                <ui:define name="header">#{messages['net.ihe.gazelle.xval.Files']}</ui:define>
                                <a4j:repeat value="#{file.files}" var="filename">
                                   <div class="row">
                                        <h:commandLink
                                                action="#{uploadFileIOManager.exportValidatedFile(file, filename)}"
                                                title="#{messages['net.ihe.gazelle.xval.ViewFile_2']}" target="_blank">
                                            <h:outputText value="#{filename}"/>
                                            <s:span title="#{messages['gazelle.evs.DownloadFile']}" styleClass="gzl-icon-download text-info"/>
                                        </h:commandLink>
                                        <a4j:commandLink
                                                actionListener="#{gazelleCrossValidatorManager.removeFile(filename, file)}"
                                                rendered="#{allowDelete}" render="filesTable"
                                                title="#{messages['net.ihe.gazelle.xval.RemoveThisFile']}">
                                            <s:span styleClass="gzl-icon-trash-o "/>
                                        </a4j:commandLink>
                                    </div>
                                </a4j:repeat>
                            </g:column>
                        </rich:dataTable>
                    </h:form>
                </ui:decorate>
                <br/>
            </ui:define>
        </s:decorate>
</ui:composition>
